Package org.jboss.resteasy.plugins.validation.i18n

## Interface Messages

- All Known Implementing Classes:
    `Messages_$bundle`

      @MessageBundle(projectCode="RESTEASY")
      public interface Messages

  Version:
    $Revision: 1.1 $ Copyright Aug 25, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static Messages` | `MESSAGES` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `expectTwoNonNullMethods()` |
    `String` | `resteasyCdiExtensionNotOnClasspath()` |
    `String` | `resteasyCdiExtensionOnClasspath()` |
    `String` | `unableToLoadValidationSupport()` |
    `String` | `usingValidatorFactoryDoesNotSupportCDI()` |
    `String` | `usingValidatorFactorySupportsCDI​(javax.validation.ValidatorFactory factory)` |
    `String` | `validateOnExceptionOnMultipleMethod()` |

- - ### Field Detail

    - #### MESSAGES

          static final Messages MESSAGES

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### expectTwoNonNullMethods

          @Message(id=8505,
                   value="Expect two non-null methods")
          String expectTwoNonNullMethods()

    - #### resteasyCdiExtensionOnClasspath

          @Message(id=8510,
                   value="ResteasyCdiExtension is on the classpath.")
          String resteasyCdiExtensionOnClasspath()

    - #### resteasyCdiExtensionNotOnClasspath

          @Message(id=8515,
                   value="ResteasyCdiExtension is not on the classpath. Assuming CDI is not active")
          String resteasyCdiExtensionNotOnClasspath()

    - #### unableToLoadValidationSupport

          @Message(id=8520,
                   value="Unable to load Validation support")
          String unableToLoadValidationSupport()

    - #### usingValidatorFactoryDoesNotSupportCDI

          @Message(id=8550,
                   value="Unable to find CDI supporting ValidatorFactory. Using default ValidatorFactory")
          String usingValidatorFactoryDoesNotSupportCDI()

    - #### usingValidatorFactorySupportsCDI

          @Message(id=8555,
                   value="Using CDI supporting %s")
          String usingValidatorFactorySupportsCDI​(javax.validation.ValidatorFactory factory)

    - #### validateOnExceptionOnMultipleMethod

          @Message(id=8560,
                   value="@ValidateOnExecution found on multiple overridden methods")
          String validateOnExceptionOnMultipleMethod()